Come si disinstalla Ruby 1.8.7 e si installa Ruby 1.9.2?

20

Qualcuno sa come disinstallare correttamente Ruby 1.8.7 e installare Ruby 1.9.2 su Ubuntu 11.10?

Ho cercato accuratamente e nessuna delle esercitazioni che ho trovato ha funzionato.

Inoltre, ho passato molto tempo a provare a far funzionare RVM e questo è solo un problema da usare. Inoltre, avrò poco uso per la versione precedente.

Output di aggiornamento:

which ruby :

/usr/local/bin/ruby

ls -l /usr/local/bin/ruby :

lrwxrwxrwx 1 root root 16 2011-10-17 21:20 /usr/local/bin/ruby -> /usr/bin/ruby1.8

ls -l /etc/alternatives/ruby :

lrwxrwxrwx 1 root root 18 2011-12-30 17:35 /etc/alternatives/ruby -> /usr/bin/ruby1.9.1

echo $PATH :

/usr/lib/lightdm/lightdm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games

A proposito, quando guardo a --config gem, mi dice che c'è una sola gemma, che è /usr/bin/gem1.9.1

    
posta Dmat00 31.12.2011 - 06:50

2 risposte

30

C'è un problema con l'installazione di entrambi? E usando le versioni dai repository? Vorrei installare Ruby 1.9.2 con:

sudo apt-get install ruby1.9.1-full

E poi aggiorna il sistema "alternative" per usare Ruby 1.9:

$ sudo update-alternatives --config ruby
There are 2 choices for the alternative ruby (providing /usr/bin/ruby).

  Selection    Path                Priority   Status
------------------------------------------------------------
* 0            /usr/bin/ruby1.8     50        auto mode
  1            /usr/bin/ruby1.8     50        manual mode
  2            /usr/bin/ruby1.9.1   10        manual mode

Press enter to keep the current choice[*], or type selection number: 2
update-alternatives: using /usr/bin/ruby1.9.1 to provide /usr/bin/ruby (ruby) in manual mode.
$ ruby --version
ruby 1.9.2p290 (2011-07-09 revision 32553) [x86_64-linux]

Ciò imposterà anche le alternative per erb , irb , rdoc , ri , testrb e la pagina man. Tuttavia è necessario aggiornare separatamente il comando gem:

$ sudo update-alternatives --config gem
There are 2 choices for the alternative gem (providing /usr/bin/gem).

  Selection    Path               Priority   Status
------------------------------------------------------------
* 0            /usr/bin/gem1.8     180       auto mode
  1            /usr/bin/gem1.8     180       manual mode
  2            /usr/bin/gem1.9.1   10        manual mode

Press enter to keep the current choice[*], or type selection number: 2
update-alternatives: using /usr/bin/gem1.9.1 to provide /usr/bin/gem (gem) in manual mode.

Lo so, è confuso chiamare ruby1.9.1 piuttosto che 1.9.2, qualcosa di packaging debian upstream.

    
risposta data Hamish Downer 31.12.2011 - 17:02
0

Se non c'è davvero alcun motivo per mantenere ruby1.8, ho trovato più facile rimuovere come segue:

sudo apt-get remove ruby1.8

sudo apt-get install ruby1.9.3
    
risposta data David Glance 04.07.2014 - 07:55

Leggi altre domande sui tag